## fusionforge 6.0.2+20150708

=== debian/changelog ===
fusionforge (6.0.2+20150708-1) unstable; urgency=medium

  * New upstream snapshot following the 6.0 stable branch
  * Fix dependency to obsolete shell-postgresql package

 -- Sylvain Beucler <beuc@debian.org>  Wed, 08 Jul 2015 11:04:18 +0200

fusionforge (6.0.2+20150707-1) unstable; urgency=medium

  * New upstream snapshot following the 6.0 stable branch.
  * Fix upgrade conflict on /usr/bin/forge_make_admin (closes: #791619)

 -- Sylvain Beucler <beuc@debian.org>  Tue, 07 Jul 2015 11:32:19 +0200

fusionforge (6.0.2-1) unstable; urgency=medium

  * New upstream release (closes: #492881, #211085)
  * Silent lintian command-with-path-in-maintainer-script
  * Remove logs on purge (closes: #789801)
  * Fix upgrade conflict on locale files (closes: #789925)
  * Stop fusionforge-systasksd on uninstall (closes: #789778)

 -- Sylvain Beucler <beuc@debian.org>  Thu, 02 Jul 2015 16:24:19 +0200

fusionforge (6.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 23 Jun 2015 16:16:12 +0200

fusionforge (6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 29 May 2015 14:22:29 +0200

fusionforge (6.0~rc4-1) unstable; urgency=high

  [ Sylvain Beucler ]
  * New upstream release candidate
  (closes: #782196, #782638)

  [ Roland Mas ]
  * CVE-2015-0850: Prevent arbitrary command execution via clone URL
    parameter of the method to create secondary Git repositories. Found by
    Ansgar Burchardt <ansgar@debian.org>.

 -- Sylvain Beucler <beuc@debian.org>  Thu, 28 May 2015 13:42:35 +0200

fusionforge (6.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Roland Mas <lolando@debian.org>  Fri, 22 May 2015 17:08:50 +0200

fusionforge (6.0~rc2+20150513-1) unstable; urgency=medium

  * New upstream release candidate
  (closes: #769098, #666236, #717803, #769098, #309518)
  (closes: #556189, #597602, #638010, #640804, #685074)
  (closes: #576410, #720305, #551761, #656088, #585205)
  (closes: #772241)
  * Adapt packaging to new build system

 -- Sylvain Beucler <beuc@debian.org>  Wed, 13 May 2015 13:42:48 +0200

fusionforge (5.3.2+20141104-3) unstable; urgency=medium

  * Support dpkg-1.17.17 and avoid a trigger loop by replacing 'interest'
    triggers by 'interest-noawait' ones (closes: #772870)
  * Do bump Standards-Version to 3.9.6 by regenerating debian/control (no
    changes)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 15 Dec 2014 11:46:30 +0100

fusionforge (5.3.2+20141104-2) unstable; urgency=medium

  * Start Debian-specific branch without important bugfixes (cf. #771944)
  * Use Debian-specific 'invoke-rc.d' instead of portable 'service'
    (closes: #771619)
  * Really bump Standards-Version to 3.9.6 (no changes)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 08 Dec 2014 12:18:07 +0100

fusionforge (5.3.2+20141104-1) unstable; urgency=medium

  * New upstream snapshot following the 5.3 stable branch.
  (closes: #767931, #754791, #767688, #736157, #637217)
  (closes: #674567, #675042, #744202, #597610)
  * Bump Standards-Version to 3.9.6 (no changes)
  * Remove reference to README.Custom (closes: #599289)

 -- Sylvain Beucler <beuc@debian.org>  Tue, 04 Nov 2014 11:44:47 +0100

fusionforge (5.3.2-1) unstable; urgency=high

  [ Sylvain Beucler ]
  * New upstream release (CVE-2014-6275)
  * plugin 'fckeditor' removed from upstream sources
  * plugin 'wiki' fixes 'source-is-missing' in upstream sources
  * fusionforge-plugin-scmhook: link Snoopy.class.php from the packaged version

  [ Roland Mas ]
  * fusionforge-plugin-sysauthldap: depend on -web-apache2 (closes: #754791).
  * Infrastructure to use "fusionforge" dirs rather than "gforge"
    (/etc/gforge, /usr/share/gforge, and so on).

 -- Sylvain Beucler <beuc@debian.org>  Mon, 22 Sep 2014 13:46:44 +0200

fusionforge (5.3.1-1) unstable; urgency=medium

  [ Sylvain Beucler ]
  * New upstream release.
  (closes: #687387, #675158, #676243, #676364, #679934)
  (closes: #680206, #680206, #685081, #721601, #679369)
  (closes: #675159, #675044)

 -- Roland Mas <lolando@debian.org>  Fri, 06 Jun 2014 13:49:11 +0200

fusionforge (5.3+20140604-1) unstable; urgency=medium

  [ Sylvain Beucler ]
  * New upstream snapshot following the 5.3 upstream release.
    (closes: #674660, #606076, #551928, #692583, #711098)
    (closes: #711095, #660200, #678025, #396164, #649184)
    (closes: #597709, #677329, #649989, #649894, #606439).
  * gforge-mta-postfix: use proxy:pgsql: rather than pgsql: so that
    Postfix daemons can access PostgreSQL from within their chroot
  * gforge-mta-postfix: don't overwrite 'mydestination'
  * Remove plugins 'fckeditor' and 'wiki' from source to avoid source-less
    files issue (fixes 'source-is-missing') (closes: #736107).
  * fusionforge-plugin-blocks: remove dependency to
    gforge-shell-postgresql (closes: #674526).
  * fusionforge-minimal: recommends gforge-lists-mailman
    (closes: #637304).
  * gforge-lists-mailman: remove dependency to apache2 (closes: #637302).
  * gforge-web-apache2-vhosts: fix typo in description (closes: #649195).
  * Bump Standards to 3.9.5 (no changes).
  * Fix permissions or remove shebang when not needed
    (fixes 'executable-not-elf-or-script').
  * gforge-db-remote: depend on ${misc:Depends}
    (fixes 'debhelper-but-no-misc-depends')
  * Precise debhelper version (fixes
    'debhelper-overrides-need-versioned-build-depends').
  * Install ini files directly in /etc/fusionforge/, not through the
    /etc/gforge/* symlinks (fixes 'binaries-have-file-conflict')
  * gforge-common: add Lintian overrides for group-writable
    'non-standard-dir-perm'
  * fusionforge-plugin-scmhook: add Lintian overrides for
    'script-not-executable' on template files
  * fusionforge-plugin-admssw: word-wrap description (fixes
    'extended-description-line-too-long')
  * gforge-plugin-extratabs, gforge-plugin-globalsearch,
    gforge-plugin-mediawiki, gforge-plugin-projectlabels,


=== debian/control ===
# GENERATED used debian/gen_control.sh
Source: fusionforge
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Uploaders: Christian Bayle <bayle@debian.org>, Olivier Berger <obergix@debian.org>, Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://fusionforge.org/
Vcs-Git: git://fusionforge.org/fusionforge/fusionforge.git
Vcs-Browser: https://fusionforge.org/scm/browser.php?group_id=6


Package: fusionforge
Architecture: all
Depends: fusionforge-common (=${source:Version}), fusionforge-db-local | fusionforge-db, fusionforge-web, fusionforge-scm, ${misc:Depends}
Recommends: fusionforge-lists, fusionforge-shell, fusionforge-plugin-scmgit, fusionforge-plugin-scmsvn
Suggests: fusionforge-web-vhosts, fusionforge-plugin-mediawiki, fusionforge-plugin-moinmoin, fusionforge-plugin-blocks
Description: collaborative development tool - standard metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a stand-alone FusionForge site.
 See also the Recommends and Suggests dependencies.


Package: fusionforge-common
Architecture: all
Depends: php5-cli, php5-pgsql, php-htmlpurifier, cron, ucf, ${misc:Depends}
# Handle conflicts with files in old packages:
# gforge-common -> /usr/share/locale/XX/LC_MESSAGES/fusionforge.mo
# gforge-db-postgresql -> /usr/bin/forge_make_admin & forge_set_password
Replaces: gforge-common (<< 6.0-1~), gforge-db-postgresql (<< 6.0-1~)
Breaks: gforge-common (<< 6.0-1~), gforge-db-postgresql (<< 6.0-1~)
Description: collaborative development tool - shared files
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains files and programs used by several other
 subpackages.


Package: fusionforge-db-local
Architecture: all
Provides: fusionforge-db
Depends: fusionforge-common (=${source:Version}), postgresql, php5-cli, ${misc:Depends}
Description: collaborative development tool - database (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package installs, configures and maintains the FusionForge
 database.


Package: fusionforge-db-remote
Architecture: all
Provides: fusionforge-db
Depends: ${misc:Depends}
Description: collaborative development tool - database (remote)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This dummy package tells FusionForge you installed the database on a
 separate machine.  It preserves the fusionforge-db virtual dependency,
 to configure the database before depending packages in single-server
 installs (e.g. plugins activation requires a populated db).


Package: fusionforge-web
Architecture: all
Depends: fusionforge-common (=${source:Version}), fusionforge-db, libapache2-mpm-itk | apache2-mpm-itk, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, poppler-utils, ${misc:Depends}
Recommends: locales-all, unoconv
Description: collaborative development tool - web part (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run the web part of
 FusionForge on an Apache web server.


Package: fusionforge-web-vhosts
Architecture: all
Depends: fusionforge-common (=${source:Version}), php5-cli, ${misc:Depends}
Description: collaborative development tool - web vhosts (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run project vhosts
 on an Apache web server.


Package: fusionforge-shell
Architecture: all
Depends: fusionforge-common (=${source:Version}), php5-cli, libnss-pgsql2, openssh-server, unscd | nscd, libpam-modules, ucf, ${misc:Depends}
Description: collaborative development tool - shell accounts (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package provides shell accounts authenticated via the PostGreSQL
 database to FusionForge users.


Package: fusionforge-scm
Architecture: all
Depends: fusionforge-common (=${source:Version}), fusionforge-shell (=${source:Version}), xinetd, rsync, php5-cli, ${misc:Depends}
Description: collaborative development tool - shell accounts (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the jobs to manage SCM repositories.
 It should be installed on only one server in your infrastructure.


Package: fusionforge-mta-postfix
Architecture: all
Depends: fusionforge-common (=${source:Version}), postfix, postfix-pgsql, ${misc:Depends}
Provides: fusionforge-mta
Conflicts: fusionforge-mta
Description: collaborative development tool - mail tools (using Postfix)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Postfix mail transfer agent to run
 FusionForge.


Package: fusionforge-mta-exim4
Architecture: all
Depends: fusionforge-common (=${source:Version}), exim4-daemon-heavy, ${misc:Depends}
Provides: fusionforge-mta
Conflicts: fusionforge-mta
Description: collaborative development tool - mail tools (using Exim 4)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Exim 4 mail transfer agent to run
 FusionForge.


Package: fusionforge-lists
Architecture: all
Depends: fusionforge-common (=${source:Version}), php5-cli, fusionforge-mta-postfix | fusionforge-mta, mailman, ${misc:Depends}
Description: collaborative development tool - mailing-lists (using Mailman)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package controls the interaction between FusionForge and Mailman.


##
# Transition 5.3->6.0
##
# https://wiki.debian.org/Renaming_a_Package#Method_2

Package: gforge-common
Depends: fusionforge-common, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-db-postgresql
Depends: fusionforge-db-local, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-db-remote
Depends: fusionforge-db-remote, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-web-apache2
Depends: fusionforge-web, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-shell-postgresql
Depends: fusionforge-shell, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-mta-postfix
Depends: fusionforge-mta-postfix, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-mta-exim4
Depends: fusionforge-mta-exim4, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-lists-mailman
Depends: fusionforge-lists, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.


Package: fusionforge-plugin-scmgit
Depends: fusionforge-web (=${source:Version}), git, xinetd, rsync, ${misc:Depends}
Recommends: fusionforge-scm
Architecture: all
Description: FusionForge plugin - Git
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This plugin contains the Git subsystem of FusionForge. It allows each
 FusionForge project to have its own Git repository, and gives some
 control over it to the project's administrator.

Package: fusionforge-plugin-scmsvn
Depends: fusionforge-web (=${source:Version}), subversion, subversion-tools, viewvc, python, python-pycurl, xinetd, rsync, libapache2-mod-svn, ${misc:Depends}
Recommends: fusionforge-scm
Architecture: all
Description: FusionForge plugin - Subversion
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This plugin contains the Subversion subsystem of FusionForge. It allows
 each FusionForge project to have its own Subversion repository, and gives
 some control over it to the project's administrator.

Package: fusionforge-plugin-scmbzr

## fusionforge 6.0.3%2B20151023

=== debian/changelog ===
fusionforge (6.0.3+20151023-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 23 Mar 2016 16:08:52 -0700

fusionforge (6.0.3+20151023-1) unstable; urgency=medium

  * New upstream snapshot following the 6.0 stable branch
  * Drop post-install scripts (closes: #789772, #789773, #793683, #801843)
  * New fusionforge-plugin-projects-hierarchy package
  * Drop support for CVS (closes: #801142)

 -- Sylvain Beucler <beuc@debian.org>  Fri, 23 Oct 2015 17:04:00 +0200

fusionforge (6.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvain Beucler <beuc@debian.org>  Tue, 06 Oct 2015 17:05:00 +0200

fusionforge (6.0.2+20150918-1) unstable; urgency=medium

  * New upstream snapshot following the 6.0 stable branch
  * fusionforge-plugin-scmarch: don't depend on tla, not used server-side
  * fusionforge-web: remove dead symlink in Apache conf on uninstall
    (closes: #798706)

 -- Sylvain Beucler <beuc@debian.org>  Fri, 18 Sep 2015 18:30:00 +0200

fusionforge (6.0.2+20150908-1) unstable; urgency=medium

  * New upstream snapshot following the 6.0 stable branch
  * fusionforge-web: add dependency to 'openssl' for the hypothetical case
    somebody installs fusionforge without postgresql, postfix nor unoconv
    (closes: #798363)

 -- Sylvain Beucler <beuc@debian.org>  Tue, 08 Sep 2015 16:50:55 +0200

fusionforge (6.0.2+20150901-1) unstable; urgency=medium

  * New upstream snapshot following the 6.0 stable branch
  * Introduce Debian-specific behavior to stop and start services
    (closes: #789778)
  * Disable Mediawiki and Bzr plugins pending reintroduction of
    'mediawiki' and 'loggerhead' in testing

 -- Sylvain Beucler <beuc@debian.org>  Tue, 01 Sep 2015 14:24:22 +0200

## fusionforge 6.0.3+20151023

=== plugins/mediawiki/mediawiki-skin/Makefile ===
MWSKINPATH=/usr/share/mediawiki/skins

all: FusionForge.php

FusionForge.php: FusionForge.php.renamed
	@echo 'Building $@'
	patch -p0 -o $@ FusionForge.php.renamed FusionForge.php.patch

FusionForge.php.renamed: $(MWSKINPATH)
	sed \
	    -e 's/MonoBook/FusionForge/g' \
	    -e 's/Shared between FusionForge/Shared between MonoBook/' \
	    -e 's/FusionForgeTemplateToolboxEnd/MonoBookTemplateToolboxEnd/g' \
	    -e 's/Using monobook/Using fusionforge/' \
	    -e "s/skinname = 'monobook/skinname = 'fusionforge/" \
	    -e "s/stylename = 'monobook/stylename = 'fusionforge/" \
	    <$(MWSKINPATH)/MonoBook.php >$@
	

$(MWSKINPATH):
	echo 'You must install mediawiki to get reference files'

cleanphp:
	rm -f FusionForge.php.renamed FusionForge.php.patch2

patchphp: FusionForge.php.renamed
	-diff -uN FusionForge.php.renamed FusionForge.php > FusionForge.php.patch2

=== debian/changelog ===
fusionforge (6.0.3+20151023-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Enable mediawiki plugin as mediawiki is available in Jessie.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 09 Nov 2015 15:27:50 +0100

=== debian/control ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 Package: fusionforge-web
 Architecture: all
-Depends: fusionforge-common (=${source:Version}), fusionforge-db, libapache2-mpm-itk | apache2-mpm-itk, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, poppler-utils, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), fusionforge-db, libapache2-mpm-itk | apache2-mpm-itk, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, poppler-utils, openssl, ${misc:Depends}
 Recommends: locales-all, unoconv
 Description: collaborative development tool - web part (using Apache)
  FusionForge provides many tools to aid collaboration in a
@@ -280,4 +280,4 @@
  each FusionForge project to have its own Subversion repository, and gives
  some control over it to the project's administrator.
 
-Package: fusionforge-plugin-scmbzr
+Package: fusionforge-plugin-scmarch

## fusionforge 6.0.4+20160504

=== debian/changelog ===
fusionforge (6.0.4+20160504-1) unstable; urgency=medium

  * More packaging fixes for php7.0:
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821486).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821487).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821488).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821489).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821490).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821491).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821492).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821493).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821494).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821495).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821496).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821497).

 -- Roland Mas <lolando@debian.org>  Wed, 04 May 2016 12:58:42 +0200

fusionforge (6.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging to work with php7.0 (not only php5).

 -- Roland Mas <lolando@debian.org>  Fri, 22 Apr 2016 13:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 Package: fusionforge-common
 Architecture: all
-Depends: php5-cli, php5-pgsql, php-htmlpurifier, cron, ucf, ${misc:Depends}
+Depends: php-cli | php5-cli, php-pgsql | php5-pgsql, php-htmlpurifier | php5-htmlpurifier, cron, ucf, ${misc:Depends}
 # Handle conflicts with files in old packages:
 # gforge-common -> /usr/share/locale/XX/LC_MESSAGES/fusionforge.mo
 # gforge-db-postgresql -> /usr/bin/forge_make_admin & forge_set_password
@@ -49,7 +49,7 @@
 Package: fusionforge-db-local
 Architecture: all
 Provides: fusionforge-db
-Depends: fusionforge-common (=${source:Version}), postgresql, php5-cli, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), postgresql, php-cli | php5-cli, ${misc:Depends}
 Description: collaborative development tool - database (using PostgreSQL)
  FusionForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -80,7 +80,7 @@
 
 Package: fusionforge-web
 Architecture: all
-Depends: fusionforge-common (=${source:Version}), fusionforge-db, libapache2-mpm-itk | apache2-mpm-itk, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, poppler-utils, openssl, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), fusionforge-db, libapache2-mpm-itk | apache2-mpm-itk, php-cli | php5-cli, libapache2-mod-php | libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, poppler-utils, openssl, ${misc:Depends}
 Recommends: locales-all, unoconv
 Description: collaborative development tool - web part (using Apache)
  FusionForge provides many tools to aid collaboration in a
@@ -95,7 +95,7 @@
 
 Package: fusionforge-web-vhosts
 Architecture: all
-Depends: fusionforge-common (=${source:Version}), php5-cli, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), php-cli | php5-cli, ${misc:Depends}
 Description: collaborative development tool - web vhosts (using Apache)
  FusionForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -109,7 +109,7 @@
 
 Package: fusionforge-shell
 Architecture: all
-Depends: fusionforge-common (=${source:Version}), php5-cli, libnss-pgsql2, openssh-server, unscd | nscd, libpam-modules, ucf, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), php-cli | php5-cli, libnss-pgsql2, openssh-server, unscd | nscd, libpam-modules, ucf, ${misc:Depends}
 Description: collaborative development tool - shell accounts (using PostgreSQL)
  FusionForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -123,7 +123,7 @@
 
 Package: fusionforge-scm
 Architecture: all
-Depends: fusionforge-common (=${source:Version}), fusionforge-shell (=${source:Version}), xinetd, rsync, php5-cli, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), fusionforge-shell (=${source:Version}), xinetd, rsync, php-cli | php5-cli, ${misc:Depends}
 Description: collaborative development tool - shell accounts (using PostgreSQL)
  FusionForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -169,7 +169,7 @@
 
 Package: fusionforge-lists
 Architecture: all
-Depends: fusionforge-common (=${source:Version}), php5-cli, fusionforge-mta-postfix | fusionforge-mta, mailman, ${misc:Depends}
+Depends: fusionforge-common (=${source:Version}), php-cli | php5-cli, fusionforge-mta-postfix | fusionforge-mta, mailman, ${misc:Depends}
 Description: collaborative development tool - mailing-lists (using Mailman)
  FusionForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -277,7 +277,3 @@
  integrated into one web site and managed through a web interface.
  .
  This plugin contains the Subversion subsystem of FusionForge. It allows
- each FusionForge project to have its own Subversion repository, and gives
- some control over it to the project's administrator.
-
-Package: fusionforge-plugin-scmarch
